## poedit 1.0.3-4

=== debian/changelog ===
poedit (1.0.3-4) unstable; urgency=low

  * Spelling correction in debian/control description field (Closes: #125257).

 -- Yooseong Yang <yooseong@debian.org>  Mon, 31 Dec 2001 15:48:37 +0900

poedit (1.0.3-2) unstable; urgency=low

  * Command name changed into __poeditor__ not poedit (Closes: #101405).

 -- Yooseong Yang <yooseong@debian.org>  Wed, 27 June 2001 23:29:37 +0900

poedit (1.0.3) unstable; urgency=low

  * Initial Release.

 -- Yooseong Yang <yooseong@debian.org>  Wed, 27 June 2001 23:29:37 +0900

Local variables:
mode: debian-changelog
End:
