=== debian/control ===
Source: poedit
Section: text
Priority: optional
Maintainer: Yooseong Yang <yooseong@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev (>= 1.2.6), libwxgtk2.2-dev (>= 2.2.6), wxwin2.2-headers (>= 2.2.6) 
Standards-Version: 3.5.2

Package: poedit
Architecture: any
Depends: libwxgtk2.2 (>= 2.2.6), gettext (>= 0.10.35), gettext-base (>= 0.10.35)
Description: Cross-platform gettext catalog editor
 Generator for po to mo. It is built with wxWindows toolkit and can
 run on Unix or Windows. 
 It aims to provide convenient way of editing gettext catalogs. 
 It features UTF-8 support, fuzzy and untranslated 
 records highlighting, whitespace highlighting, references browser, 
 header editing and can be used to create new catalogs or update 
 existing catalogs from source code with a single click.
