=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package = poedit
tmp = $(shell pwd)/debian/tmp
docdir = $(tmp)/usr/share/doc/$(package)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr 
#	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/poedit.sgml > poedit.1

	touch build-stamp

clean:checkroot
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install:checkroot build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/poedit.
#	$(checkdir)
#	-rm -rf debian/tmp
#	install -d debian/tmp
#	cd debian/tmp && install -d `cat ../dirs`
	#$(MAKE) install prefix=`pwd`/debian/tmp/usr
	$(MAKE) install prefix=$(CURDIR)/debian/poedit/usr \
	    GNOME_DATA_DIR=$(CURDIR)/debian/poedit/usr/share \
	    KDE_DATA_DIR=$(CURDIR)/debian/poedit/usr/share
	mv $(CURDIR)/debian/poedit/usr/bin/poedit $(CURDIR)/debian/poedit/usr/bin/poeditor
#	mkdir -p $(CURDIR)/debian/poedit/usr/share/doc/$(package)
#	cp -a debian/copyright\
#	$(CURDIR)/debian/poedit/usr/share/doc/$(package)  
#	install -d debian/tmp/DEBIAN\
#		   debian/tmp/usr/share/doc/$(package) 
#	install -m 755 debian/prerm debian/postinst debian/tmp/DEBIAN
#	cp -a debian/copyright debian/tmp/usr/share/doc/$(package)
#	mkdir -p debian/tmp/usr/share/doc/$(package)
#	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

checkroot:
        test root = "`whoami`"
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
