## poedit 1.4.6.1

=== build/SConstruct ===
--- 
+++ 
@@ -34,9 +34,11 @@
 WX_CONFIGURE = '--disable-shared --enable-unicode --disable-tga'
 WX_WINFLAGS = 'SHARED=0 BUILD=release DEBUG_INFO=1 UNICODE=1 USE_MEDIA=0 USE_AUI=0 USE_RICHTEXT=0 USE_STC=0 USE_QA=1'
 
-SPARKLE_VERSION = '1.1'
-SPARKLE_URL = 'http://www.andymatuschak.org/files/Sparkle-%s.zip' % SPARKLE_VERSION
-SPARKLE_PATCHES = ['sparkle-1.1-carbon.patch']
+SPARKLE_VERSION = '1.5b6'
+SPARKLE_URL = 'http://sparkle.downtowncode.com/sources/CarbonSparkle_%s.zip' % SPARKLE_VERSION
+
+WINSPARKLE_VERSION = '0.1'
+WINSPARKLE_URL = 'http://d10xg45o6p6dbl.cloudfront.net/projects/w/winsparkle/WinSparkle-%s.zip' % WINSPARKLE_VERSION
 
 INNOSETUP_VERSION = '5.2.2'
 INNOSETUP_URL = 'http://files.jrsoftware.org/ispack/ispack-%s.exe' % INNOSETUP_VERSION
@@ -317,9 +319,3 @@
 # Sparkle
 # -----------------------------------------------------------------
 
-src_sparkle = env.ComponentSources(
-        name='sparkle',
-        source=SPARKLE_URL,
-        patches=SPARKLE_PATCHES)
-
-
