=== debian/changelog ===
poedit (1.4.6.1-5) unstable; urgency=low

  * Take over package (Closes: #543856).
  * New upstream version (Closes: #556620, #607749).
  * Use debhelper v8 and reduce debian/rules
  * Update debian/copyright to current DEP5 standard (revision 166)
  * Link against libdb4.8
  * Update to Standards-Version 3.9.1
  * Lintian clean

 -- Pedro Ribeiro <p.m42.ribeiro@gmail.com>  Tue, 22 Feb 2011 18:31:44 +0100

poedit (1.4.2-5) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields in control.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 09:13:54 +0200

poedit (1.4.2-4) unstable; urgency=low

  * Updating section of the debug package.
  * Prefixing debhelper files with package name.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright file.
  * Adding description field in menu file.
  * Updating rules file to current state of the art.
  * Using quilt rather than dpatch.
  * Building against db4.7.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 12:14:00 +0200

poedit (1.4.2-3) unstable; urgency=low

  * Improving package long-description (Closes: #501019).
  * Replacing obsolete dh_clean -k with dh_prep.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 23:15:00 +0100

poedit (1.4.2-2) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Tue, 16 Sep 2008 19:47:00 +0200

poedit (1.4.2-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 1.4.2:
    - fixed Ctrl+Up/Down/PgUp/PgDn shortcuts when NumLock is on
      (Closes: #490828).
  * Removing 02-numlock.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2008 15:15:00 +0200

poedit (1.4.1-3) unstable; urgency=medium

  * Adding patch from upstream to work arround of wxwidgets bug handling meta
    keys (Closes: #490828).

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Aug 2008 23:12:00 +0200

poedit (1.4.1-2) unstable; urgency=low

  * Adding lintian overrides.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Thu, 03 Jul 2008 09:58:00 +0200

poedit (1.4.1-1) experimental; urgency=low

  * New upstream release.
  * Removing watch file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 May 2008 17:55:00 +0200

poedit (1.4-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Apr 2008 17:58:00 +0200

poedit (1.4~pre2-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Mar 2008 18:41:00 +0100

poedit (1.3.9-3) unstable; urgency=medium

  * Added patch from upstream to disable automatic showing of comment windows
    (Closes: #465270).

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Feb 2008 00:08:00 +0100

poedit (1.3.9-2) unstable; urgency=low

  * Don't hide make errors in clean target of rules.
  * Updated menu file to new policy.
  * Added patch to correct binary name in desktop file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Dec 2007 13:58:00 +0100

poedit (1.3.9-1) unstable; urgency=low

  * New upstream release.
  * Updated to new policy.
  * Added patch from upstream to fix build with wxwidgets2.6 (instead of
    wxwidgets2.8).

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Dec 2007 08:49:00 +0100

poedit (1.3.8~pre1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2007 21:58:00 +0100

poedit (1.3.7+20071010-2) unstable; urgency=medium

  * Rebuilding against lidb4.6.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Oct 2007 10:29:00 +0200

poedit (1.3.7+20071010-1) unstable; urgency=medium

  * New upstream snapshot:
    - Keeps ordering of msgids from the previous state (Closes: #420685).

 -- Daniel Baumann <daniel@debian.org>  Wed, 10 Oct 2007 11:16:00 +0200

poedit (1.3.7-1) unstable; urgency=low

  * New upstream release:
    - Uses correct short-cut for Swedish po file (Closes: #336822).
  * Bumped package to debhelper 5.
  * Building against libdb4.5-dev now.

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Jul 2007 21:33:00 +0200

poedit (1.3.6-1) unstable; urgency=low

  * New upstream release:
    - dropping 01-po-corruption.dpatch, was taken from a pre-release.
  * Removed win32 specific parts of long description (Closes: #405842).

 -- Daniel Baumann <daniel@debian.org>  Sat, 06 Jan 2007 19:54:00 +0100

poedit (1.3.5-2) unstable; urgency=medium

  * Applied patch from upstream to fix po corruption warning (Closes: #391934).

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Oct 2006 16:11:00 +0200

poedit (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Dropped dpatch to update some po files, it went upstream.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Oct 2006 23:31:00 +0200

poedit (1.3.4-4) unstable; urgency=low

  * Took over package from Luk.
  * Redone debian directory based on new debhelper templates, additionally:
    - launching /usr/bin/poeditor from the desktop file.
    - included additional docs.
    - included *.css for the html docs and imgages for translated html docs.
    - installing icon and pixmap from source rather than shipping an own copy.
    - using dpatch for upstream modifications.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Jul 2006 08:07:00 +0200

poedit (1.3.4-3) unstable; urgency=low

  * Update Standards-Version to 3.7.2 (no changes).
  * Updated build dep on Berkeley DB to 4.4
  * Rebuild fixes SIGSEGV when trying to access help (Closes: #366614).

 -- Luk Claes <luk@debian.org>  Wed, 10 May 2006 00:25:10 +0200

poedit (1.3.4-2) unstable; urgency=low


