=== debian/control ===
Source: poedit
Section: text
Priority: optional
Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb4.8-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip
Standards-Version: 3.9.1
Homepage: http://poedit.sourceforge.net/

Package: poedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gettext
Description: gettext catalog editor
 Poedit is an editor for gettext catalogs (.po files). It aims to provide a
 convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
 untranslated records highlighting, whitespace highlighting, references browser,
 header editing and can be used to create new catalogs or update existing
 catalogs from source code with a single click. It is built with wxWidgets
 toolkit.

Package: poedit-dbg
Section: debug
Priority: extra
Architecture: any
Depends: poedit (= ${binary:Version}), ${misc:Depends}
Description: gettext catalog editor (debug)
 Poedit is an editor for gettext catalogs (.po files). It aims to provide a
 convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
 untranslated records highlighting, whitespace highlighting, references browser,
 header editing and can be used to create new catalogs or update existing
 catalogs from source code with a single click. It is built with wxWidgets
 toolkit.
 .
 This package contains the debugging symbols.
