=== debian/rules ===
#!/usr/bin/make -f

%:
	CXXFLAGS="$(CXXFLAGS) -ggdb" \
	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
	dh $@ --with autotools_dev

override_dh_install:
	dh_install
	mv debian/poedit/usr/bin/poedit debian/poedit/usr/bin/poeditor
	mv debian/poedit/usr/share/man/man1/poedit.1 debian/poedit/usr/share/man/man1/poeditor.1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=poedit-dbg
