## poedit 1.5.4

=== debian/changelog ===
poedit (1.5.4-1build1) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 04 Nov 2013 06:51:16 +0000

poedit (1.5.4-1) unstable; urgency=low

  * New upstream release (Closes: #684924).
  * Update to Standards-Version 3.9.3
  * New homepage URL (Closes: #692048).

 -- Pedro Ribeiro <p.m42.ribeiro@gmail.com>  Sat, 03 Nov 2012 08:41:13 +0000

poedit (1.4.6.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on versionless libdb-dev package (Closes: #621371)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 02 Jun 2011 13:15:45 +0200
