=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: poedit
 Section: text
 Priority: optional
-Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
-Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb4.8-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip
-Standards-Version: 3.9.1
-Homepage: http://poedit.sourceforge.net/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
+Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb++-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip, libboost-dev
+Standards-Version: 3.9.3
+Homepage: http://www.poedit.net/
 
 Package: poedit
 Architecture: any
