=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 %:
-	CXXFLAGS="$(CXXFLAGS) -ggdb" \
-	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
+	CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(CXXFLAGS) $(CPPFLAGS) -ggdb" \
+	LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) $(LDFLAGS) -Wl,--as-needed" \
 	dh $@ --with autotools_dev
 
 override_dh_install:
@@ -15,3 +15,7 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=poedit-dbg
+
+override_dh_auto_clean:
+	if [ -e Makefile ]; then make distclean; fi
+
