=== debian/watch ===
version=3
http://sf.net/poedit/poedit-(.+)\.tar\.gz
