## poedit 1.6.10

=== debian/changelog ===
poedit (1.6.10-2) unstable; urgency=medium

  * Add CC-BY-SA-3.0 copyright to silk icons (cfr: upstream pull request #130).
  * Mention tango people in copyright file.
    - They are released into public domain and since they are disseminated all
      around the source code, upstream mentioned it is easier to use MIT.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 14 Dec 2014 18:43:22 +0100

poedit (1.6.10-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 17 Oct 2014 11:39:58 +0200

poedit (1.6.9-4) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Remove README.source, not necessary since we use a tarball
    that doesn't need modifying before distribution by Debian.

  [ Gianfranco Costamagna ]
  * add missing poedit-dump-legacy-tm install file.

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 13 Oct 2014 02:23:57 +0200

poedit (1.6.9-3) unstable; urgency=medium

  * Really fix build failures by using install-indep
    and tweaking auto_install target.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 16:14:24 +0200

poedit (1.6.9-2) unstable; urgency=medium

  * Fix build failure when poedit-common is not built.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 14:15:33 +0200

poedit (1.6.9-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Set Debian l10n developers as Maintainer.
  * Set Timur and myself and Andreas as uploaders
    (Closes: #749815).
  * Add liblucene++-dev to build depends.
  * Update pixmap file.
  * Use dh-autoreconf.
  * Remove -DNDEBUG hack, the WXDEBUG assertion has been
    fixed properly upstream (github issue 85).
  * Bump std-version to 3.9.6, no changes required.

  [ Andreas Rönnquist ]
  * Add clean target cleaning generated file
  * Add Author and Description to patch
    - 01-desktop.patch
  * Split out arch-independent stuff to pedit-common
  * Add Vcs-* fields
  * Indent description
  * Remove unnessecary prefix=/usr from dh_auto_configure
  * Fix description - One line short description plus multiline long description
  * Clean up short description
  * Fix watchfile for new sourcefile location
  * Add build-deps on libicu-dev, libboost-regex-dev and libboost-system-dev

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 10 Oct 2014 10:21:40 +0200

poedit (1.5.4-3) unstable; urgency=medium

  * QA upload.
  * Build with -DNDEBUG to disable WXDEBUG assertions.  (Closes: #754205)

 -- Olly Betts <olly@survex.com>  Thu, 24 Jul 2014 18:03:06 +1200

poedit (1.5.4-2) unstable; urgency=medium

  * QA upload.

  [ Gianfranco Costamagna ]

  * d/control: change b-d from wx2.8 to wx3.0 (Closes: #741580).

  [ Olly Betts ]

  * Package orphaned, so set maintainer to QA group.
  * Update to debhelper compat 9 to fully enable hardening flags.
  * configure with --disable-silent-rules so that the build logs are more
    useful.
  * Update to Standards-Version 3.9.5 (no changes required).

 -- Olly Betts <olly@survex.com>  Wed, 25 Jun 2014 13:22:41 +1200
