=== debian/control ===
--- 
+++ 
@@ -1,15 +1,33 @@
 Source: poedit
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
-Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb++-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip, libboost-dev
-Standards-Version: 3.9.3
+Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
+Uploaders: Andreas Rönnquist <gusnan@debian.org>,
+           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>,
+           Тимирханов Тимур <timur.timirkhanov@gmail.com>
+Build-Depends: asciidoc,
+               debhelper (>= 9),
+               dh-autoreconf,
+               gettext,
+               libboost-dev,
+               libdb++-dev,
+               libgtk2.0-dev,
+               libgtkspell-dev,
+               liblucene++-dev,
+               libwxgtk3.0-dev,
+               libicu-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               xsltproc,
+               zip
+Standards-Version: 3.9.6
 Homepage: http://www.poedit.net/
+Vcs-Git: git://anonscm.debian.org/debian-l10n/poedit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-l10n/poedit.git
 
 Package: poedit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gettext
+Depends: gettext, poedit-common, ${misc:Depends}, ${shlibs:Depends}
 Description: gettext catalog editor
  Poedit is an editor for gettext catalogs (.po files). It aims to provide a
  convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
@@ -32,3 +50,20 @@
  toolkit.
  .
  This package contains the debugging symbols.
+
+Package: poedit-common
+Architecture: all
+Recommends: poedit
+Depends: ${misc:Depends}
+Breaks: poedit (<<1.6.9)
+Replaces: poedit (<<1.6.9)
+Description: Common files for poedit
+ Poedit is an editor for gettext catalogs (.po files). It aims to provide a
+ convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
+ untranslated records highlighting, whitespace highlighting, references browser,
+ header editing and can be used to create new catalogs or update existing
+ catalogs from source code with a single click. It is built with wxWidgets
+ toolkit.
+ .
+ This package includes documentation, examples and locale files for the
+ Debian poedit packages that are common for all architectures.
