=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure -- --disable-silent-rules --enable-debug

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/poedit debian/tmp/usr/bin/poeditor
	mv debian/tmp/usr/share/man/man1/poedit.1 debian/tmp/usr/share/man/man1/poeditor.1
	mkdir -p debian/tmp/usr/lib/poedit/
	mv debian/tmp/usr/lib/*/poedit-dump-legacy-tm debian/tmp/usr/lib/poedit/poedit-dump-legacy-tm

override_dh_install-indep:
	dh_install -ppoedit-common debian/tmp/usr/share/locale usr/share/
	dh_install -ppoedit-common debian/tmp/usr/share/poedit usr/share/
	find debian/poedit-common/usr/share/locale -type d -empty -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=poedit-dbg
