=== debian/watch ===
version=3
http://poedit.net/download .*/poedit-(\d\S*)\.tar\.gz
